commit 604e3bbe6d8d96bec284a83c08c5cc5f159a243c
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jun 11 18:23:21 2015 +1000

    rendercheck 1.5
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0f00d5ac7cb0052dbe6357023154fc97759a58f1
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jun 4 12:23:55 2015 +1000

    rendercheck: constrain accuracy
    
    This fixes a bunch of Dst operator, when the dst color
    is r5g5b5.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 51fed2fd1252eb8165489e918a478083b32ce4bf
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jun 4 12:21:57 2015 +1000

    rendercheck: make gradient results align with pixman
    
    This makes rendercheck at least useful for regression testing,
    
    18731 tests passed of 51681 total
    to
    49373 tests passed of 51681 total
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e1f078ad514fc10bfa8f9f4f9f005aad91b08b42
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Apr 22 15:24:50 2014 -0700

    Add test for a rendering bug in libreoffice.
    
    After changing the get/putimage code in glamor, we found a render
    regression that was surprisingly not caught by rendercheck.
    
    v2: Add a variant with using the GC to invert the bits that were put,
        which reproduces the problem on master.

commit 589bb58df06f6cf3b5e92c05f8cf6f997f31ab12
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Apr 21 09:06:28 2014 -0700

    Add test for GTK rendering bug in glamor.
    
    I converted this from a standalone testcase Keith sent me to a
    rendercheck test, with a reformat and a minor fixup to make sure we
    actually found the PictFormats we wanted.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Acked-by: Keith Packard <keithp@keithp.com>

commit 03934f1569b9e0a357e016350985b803f7b5572d
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Apr 21 10:14:09 2014 -0700

    Shut up some const assignment warnings.
    
    Trying to make all the callchain related to these const is too hard, and
    it's not like marking things const helps either the developer or the
    compiler.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Acked-by: Keith Packard <keithp@keithp.com>

commit 6d8f7991a7d38f81808499148e047edb0434611e
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Apr 21 10:10:24 2014 -0700

    Disable useless shadow warnings.
    
    They never find real bugs in my experience.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Acked-by: Keith Packard <keithp@keithp.com>

commit fee01994a780ba84b37bc814845d5f9948e89f0b
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Apr 21 09:42:46 2014 -0700

    Convert to using asprintf for describe_format.
    
    This simplifies the manual strcatting mess and avoids potential overflow
    issues.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Acked-by: Keith Packard <keithp@keithp.com>

commit 7f8da66d9ae4ac542970e8e2f5e73e7ab7a7c3c2
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Apr 21 09:35:11 2014 -0700

    Fix const cast warnings in our ops definitions.
    
    We only store string literals here.
    
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Acked-by: Keith Packard <keithp@keithp.com>

commit 2fd815135e7769aa9dd0d3b8cb558350ba7eb70d
Author: Matt Craighead <mcraighead@nvidia.com>
Date:   Mon Jan 20 15:06:06 2014 -0800

    fix compiler warnings
    
    Removed redundant declarations.  Removed an unused variable.
    Fixed the sign of some loop variables.
    
    Signed-off-by: Matt Craighead <mcraighead@nvidia.com>
    Signed-off-by: Robert Morell <rmorell@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit b015a64ba19fb832af22e79f54b492ae85f6590e
Author: Vikram Fugro <vfugro@nvidia.com>
Date:   Tue Apr 30 18:38:16 2013 +0530

    t_triangles: Fix for triangles(trapezoids) test case
    
    Since pixman v28, the Src and other operators (in, Out, Clear)
    clear the background when drawing trapezoids, fixing the
    trapezoid drawing for such operators. Making the necessary change
    in rendercheck for the color "expected" in the background.
    
    Signed-off-by: Vikram Fugro <vfugro@nvidia.com>
    Reviewed-by: Søren Sandmann <ssp@redhat.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>

commit 313a9689db26a2a7c384836b7838cb1d2261f228
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Nov 11 11:00:53 2011 -0800

    Include strings.h for strcasecmp
    
    Our minimum requirement for X11 is currently Unix98.  Unix98 provides
    strcasecmp in <strings.h>.  This commit fixes implicit declarations
    of this function on systems that closely adhere to the standard.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fa0973db6ab2a332c68f07e397771f0018741d6f
Author: Damien Leone <dleone@nvidia.com>
Date:   Thu Sep 15 13:10:52 2011 -0700

    t_tsrccoords: Skip this test when using indexed picture formats
    
    This test would fail at, for example, depth 8 because indexed color
    comparisons are not implemented in rendercheck yet. This commit
    workarounds this by passing the test if indexed picture formats are
    used.
    
    Signed-off-by: Damien Leone <dleone@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 0ab156f5b9d812ad9e94354e4e04490ed119eb1f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Aug 1 11:36:56 2011 -0700

    Use the right screen from $DISPLAY
    
    RootWindow(dpy, 0) always uses screen 0, even if a different screen is
    specified in the $DISPLAY environment variable.  Use
    DefaultRootWindow(dpy) instead to use the right one.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a30927f9b4279e2404f4deea2e3966364d5f0fd0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 18:18:40 2011 -0700

    Report which test groups passed successfully
    
    This was previously computed but never passed on to the caller.
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 73623549b4eae25f0884f11875d95b3b8fa948cf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:12:09 2011 -0500

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7b8457236a7858a7e8d5c22416a8f4a2f621b83
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 22:17:44 2010 +0000

    blend: Second attempt to handle multiple source pages...
    
    The first attempt failed to reset the dst_color iter after completing a
    page, so we would advance to the end of the dst array before completing
    the source array and attempt to render a zero length page.
    
    [In my defense not even valgrind spotted the mistake on my machine! A
    poor craftsman blames his tools :(]
    
    Reported-again-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 81d988f407ab997e0e43432b3e2a85820bbe2756
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 21:36:31 2010 +0000

    composite: Handle more sources than available rows in the window
    
    Group the sources into pages if we cannot fit them all onto a single
    window.
    
    Reported-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c285306dfaadb388706529623d171cc9fdde1b78
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 21:36:31 2010 +0000

    blend: Handle more sources than available rows in the window
    
    Group the sources into pages if we cannot fit them all onto a single
    window.
    
    Reported-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a038220d4aeb3111d34b45d852b97be85a56459d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 17:52:01 2010 +0000

    TODO: Multiple roundtrips for image processing due to get_pixel fixed
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit bf0067692cf961fea6ebbda601f83c1c1960aff4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 17:50:07 2010 +0000

    dstcoords: Sample result using a single GetImage
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit e70fb7146dc18adcd38dd58adfb861a2a432ce64
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 17:46:39 2010 +0000

    tsrcoords2: Sample result using a single GetImage
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 168830dca2e75e67d448039f3f42a0bad6719147
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 17:44:41 2010 +0000

    tsrcoords: Sample result with just a single GetImage
    
    ... and whilst we are here make processing the 2D arrays cache friendly.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 6fe8d675216524a68894a28a1c335f0ad29239db
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 17:35:41 2010 +0000

    triangles: Use a single GetImage call to sample the result
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit ad4da4e62ace7f5bfa0cfb2b82240b9498ce1005
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 14:52:13 2010 +0000

    repeat: Only call GetImage once for each test.
    
    Sample the entire result with a single call to GetImage in order to
    batch up the transfers when checking the result.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 903b5030826ab6915d354aa95a4e36c3dd684989
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 13:56:07 2010 +0000

    Split out printing the results from eval_diff()
    
    Separate the evalation of two colors given a format and the printing of
    the result. This allows eval_diff() to be used elsewhere and also means
    that we do not need to waste cycles generating unused strings for
    eval_diff() [this accounts for as much time as composite_op!]. As part
    of this process pass in the expected accuracy of the operation to
    eval_diff().
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 55612909182c253bbfe8278a8867c93c9b09bc01
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 11:58:04 2010 +0000

    composite: Batch tests
    
    Process an entire num_mask x num_op in a single GetImage pass.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit dc32549256620a42b6e22a9f3a5ff27a785a827e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 10:38:47 2010 +0000

    blend: Combine multiple tests into a single XGetImage request
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a040544669ba71d0eebff3492f21a3b40a1c419c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Dec 1 15:07:25 2010 +0000

    repeat: Specify test width/height rather than relying on win_width/height
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 16d7e5c3052f8c4e9df77f889f935ed8b8f8b326
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 21 18:55:18 2010 -0800

    rendercheck 1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03e284e42edbec2a184e0373b0d86bdfbc109b32
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 13:47:22 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_SED are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    XORG_DEFAULT_OPTIONS includes XORG_STRICT_OPTION to set -Werror
    
    Assume systems have xrender.pc now - those building on older systems
    can set RC_LIBS="-lXrender -lXext -lX11" plus any -I/-L/-R flags they
    need in RC_CFLAGS & RC_LIBS.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit db39192719bb4474264a6cc66d0a264468b56f05
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 13:43:30 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e16e632cfd0528b0934aaadb6ef5f239e61aa9e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 13:41:51 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e581769b5152ff8e8fdf745b66eb81479a380c32
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 13:41:22 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 539d89d70ddb16fc3b98968a63276519e737a270
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 0d88ba2ebc5d31e7bb03a0628fd4027f1937c39b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 27 10:33:54 2010 -0400

    config: remove files unnecessarily listed in EXTRA_DIST
    
    Automake always distribute those files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a069b6acf4026b3bfd2927c8cc936a5fa65e160b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 17:22:22 2010 -0400

    man: build man pages the standard way
    
    Source in git is .man, the suffix may vary by platform
    No need to make an exception in .gitignore for rendercheck
    Add __xorgversion__ to rendercheck.man
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 83a772482d3bf85eeb3f47a7456a662b3b91c1d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c1cf222ea8dded9832863116b7f62991088135a0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 999c99c4534a4f371076e5f85cd135483b66960d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit a118619650d75cf92caca2896828a1d8ef0d3e03
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit f76c6cb996769fe32a6dce496b5f70326feb84e8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit a05c845fd67c85a775ed5d9abf75369cf5dae25b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 16:13:16 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit c80dce0c5beca48ee2758ca78fba59c20127215e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit ed91c60970a41670d6dc58f59c24c60d0dbe21fd
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:19 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 37eac61e71a313df9927ca2a41ef49bda92fd9c6
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Tue Jan 20 12:04:46 2009 -0800

    Make autogen.sh look like the autogen.sh in every other fd.o project
    
    Explicitly calling aclocal in autogen.sh circumvents the user's
    ACLOCAL environment setting and pretty much always does the wrong thing.

commit 63814639cb070e34a1aa2205ff71d64e6cc884ce
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 19 15:20:50 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck, all gcc 4.3 and sparse warnings, and a configure
    configure warning about err.h.

commit 2659ac63a1b17e489cb37a44d8c26350de8c7c82
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jan 7 18:40:50 2009 -0800

    Fix build with -Wall -Werror -pedantic

commit c006790eff135feb16c88e48afb12496d74930b4
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jan 7 18:24:08 2009 -0800

    Add a --version option.
    
    Print the version unconditionally.  Exit immediately if --version was specified
    and continue otherwise.
    
    While I'm at it, use Bool instead of int for is_sync.

commit 0c6aaf012b592bae818d5ce75cd41f23bd4d2cd5
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Apr 15 14:01:06 2008 -0700

    Add a test for rendering to source-only pictures under gradients.

commit 8288fd35540d148f7900d883525b530c4923eb71
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Apr 15 13:27:35 2008 -0700

    Remove bogus extra loop from gradient tests.
    
    Gradient tests use a single loop, not two.

commit 74e2b0dffb65578360889ee7a0ef1e2a82347233
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 7 16:48:08 2008 -0500

    rendercheck 1.3

commit 365c2d85d4bc342a3a868f5bc5e43a342f384d07
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:04 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit bf5275efbf45672ef8364c773cfa98ccd46ab967
Merge: 3b5b26e 70d9421
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Feb 9 14:10:24 2007 -0800

    Merge branch 'origin'

commit 70d94216cc7b6ecd15cc628646516aef10972035
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Feb 2 17:04:10 2007 -0800

    Add another transformed source coordinates test.
    
    This one takes a whole image and rotates it to the left when drawing it to
    the destination.  Reveals an off-by-one error in i915 Render acceleration.

commit 160d69f593f4054d1973b27a24bf24323774c346
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Feb 2 15:55:07 2007 -0800

    Unbreak the dstcoords test, and test it with PictOpOver, as well.
    
    Testing on dests[0] meant an a8 picture, which doesn't capture color very well.
    Use the window, instead.  Also, make the code match the comment about it being
    a 3x3 picture (previously, we drew 1x1).

commit 2ae83b5c2783dbce9523ce030a50596eb6804c2b
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Jan 11 16:36:48 2007 -0800

    Bug #9485: Fix a sign-extension issue on 64-bit platforms in pixel fetching.
    
    The result was that 32bpp pictures with a field including the top bit would
    result in get_pixel returning a zero in that channel.
    
    While I'm here, also fix the fact that we weren't using XGetPixel to fetch the
    pixel, which would have likely caused problems on big-endian systems.

commit f5395a5866c4947dbfc30b8845f9400a422990ce
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Jan 11 16:16:27 2007 -0800

    Add more gcc warning flags, and clean up the added warnings.

commit 3b5b26e88dfdfc2f97cd1a239eae1865b25bbe5a
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Nov 28 15:05:01 2006 -0800

    Bump version to 1.2 and update docs.

commit 72cb2695ae1f78adef263eff779cc88541a41c87
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 26 16:31:43 2006 -0700

    Reduce the size of the rendering done in many tests.
    
    This significantly improves test performance (~60% in blend).

commit ff63516c203c0593ee08b77cc9267afe2ca5b0e3
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 26 16:15:55 2006 -0700

    Slight cleanup of create_formats_list().

commit cadf1d2fdfc4a35662a766864d323b4097d07767
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 26 16:14:29 2006 -0700

    Reduce the number of colors to speed up test execution.
    
    The other colors were probably not important.

commit 6e809f1ee673a430c58ed486346bf482f451493e
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 26 16:13:45 2006 -0700

    Run most tests with all formats, rather than a small subset.

commit 501d5fb5b354951bf8eef893824b637003beea6e
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 26 13:27:25 2006 -0700

    Add a -f flag to whitelist formats.

commit 003f341cf695f66b81d21f255bd816ae825f4ab3
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 13 22:26:16 2006 +0200

    Set the format field for the solid pictures, too.
    
    It's needed in case an error occurs at the tests where they are used,
    because then the picture format will be evaluated by describe_format().

commit 095d7346b2a58c48609c1c8d75e5e21e25230b73
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Wed Sep 13 22:24:25 2006 +0200

    Scale the alpha channel diff, too, before calculating the final error.
    
    This makes errors that only occur in the alpha channel have a chance to be
    recognized. If the alpha channel diff isn't scaled, it can never be > 3.0.

commit 053d4f3d0f4e271e5c868067137264756a11dbff
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Sep 5 20:58:22 2006 +0200

    Added missing tests to usage output.

commit de32ec8589b7d292dcf6e92c9f28a62b95aa2dbd
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Tue Aug 29 18:17:39 2006 +0200

    Bug #8062: Set up XTransforms correctly.
    
    Don't store floats directly in the matrix, but pass them through
    XDoubleToFixed(). That the test still passes with xorg-server's software
    implementation.

commit ad7e07b309216e2eef30cbc718edefb79d8febe5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Aug 25 16:07:58 2006 -0700

    Correct typo in usage.

commit 2319fc448354c6b965132ada135d38cce8badb9d
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Fri Jun 30 11:54:13 2006 +0200

    Add a check for setting a filter on a source picture causing a crash.
    (cherry picked from f313b8c4f7bfc2910a55002ba6c8a731796e7d19 commit)

commit 0b9af7ccf482fb1dafed256f21742eb2a9de56f9
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Fri Jun 30 11:57:35 2006 +0200

    Actually add the tests for bug #7366, and add a couple more crash cases.

commit a3c9527030127fe6dd06d1d75207b4e855b93db8
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Thu Jun 29 19:12:52 2006 +0200

    Add a regression test for bug #7366 (crash on transform of source picture).

commit 388f4492b3099546a2af89e59bc8807709508b53
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon Jun 19 17:58:45 2006 -0700

    Add a -o flag to select a subset of the Render operators for testing.

commit f678d50210e81941790f2db72c12563d411006d9
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon Jun 19 17:17:28 2006 -0700

    Disable tests at low bitdepths that rendercheck isn't good enough to support.

commit 29494c0526c0a1e66e947dec455de1338fad11dd
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon Jun 19 16:49:41 2006 -0700

    Note the source format in blend test error output.

commit 63074a124a755ac6374d644ae7960dbd8cab6251
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon Jun 19 16:49:18 2006 -0700

    Tell the ordering of the channel values in error output.

commit 05fa6e38e8e934b74bcc3771781d05cfb3313b26
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon Jun 19 08:30:27 2006 -0700

    Add support for checking more formats.

commit 334d2203d35c27e0c0d73226ad8a58360c8b36bb
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Fri Jun 16 09:49:06 2006 -0700

    Add an option "--minimalrendering" which suppresses the copying of offscreen
    rendering results to the window, which reduces the runtime of the blend tests by
    10.2% +/- 6.2% on my system.  The copy remains on by default because I think it
    can be useful.

commit b99c20783f3d77077eef2af18960db1a68d0dffd
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon May 22 23:54:55 2006 -0700

    Bump version to 1.1 and update docs.

commit 47e2f49ffc5c9300097ffb217074b0cac13f1e42
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon May 22 23:51:39 2006 -0700

    Replace autogen.sh with a more standard one from that does srcdir != builddir.

commit 60d23bc0d6b8dbefa0c03949bb1637970450e58e
Author: Alan Coopersmith <alanc@alf.(none)>
Date:   Thu May 4 21:46:39 2006 -0700

    Add fallback version of errx for platforms without errx/err.h

commit d51e519170bf912339afac89f25c1f7662a101a2
Author: Alan Coopersmith <alanc@alf.(none)>
Date:   Wed May 3 09:58:47 2006 -0700

    Ignore emacs *~ backup files

commit af99a26276212838da35d9fd07702e74dcbab5a1
Merge: 0410434 c1d2c66
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Wed May 3 01:32:57 2006 -0700

    Merge branch 'security-implications' containing a new test for the triangles
    calls, which I used for tracking down the Bug #6642 (CVE-2006-1526) issue.  It
    doesn't test much more of triangles than "we can render a couple of them".
    
    Conflicts:
    
    	Makefile.am
    	main.c
    	rendercheck.1
    	rendercheck.h
    	tests.c

commit 0410434d5a10a52cb381d6713d347da759474edd
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon May 1 22:15:14 2006 -0700

    Include the format of the picture in the fill test failure output.

commit 202329633d2ebc370e11b922337df7b412f8d01d
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon May 1 22:14:24 2006 -0700

    Fix describing of some more formats.

commit e0aa3e6f0fe7d4f546079d3f994c4ee8aea14a19
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Mon May 1 20:35:47 2006 -0700

    Correct the comment describing what fill_test does (test the filling of the
    
    pictures, not filling from the pictures).

commit b7f09efcab3e85b183218438e6e87bd665541fb5
Merge: 6545649 f95ea74
Author: Alan Coopersmith <alanc@alf.(none)>
Date:   Mon May 1 09:49:34 2006 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/app/rendercheck

commit f95ea74cd31f28e33a0c888f9ab26a6408fb1d2e
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Fri Apr 21 09:21:50 2006 -0700

    Update TODO list.

commit beeae5eb9b1d85d8e3b638e7927d94ad2f3c5f1d
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Fri Apr 21 09:20:21 2006 -0700

    Count the successes and failures of tests, printing results when finished, and
    returning a failure exit code if we failed any tests.

commit 9d46f6e9528040416356602688d717a2bb0dd2a5
Merge: edb11cf 6cfab61
Author: Lars Knoll <lars@pramoda.localdomain>
Date:   Fri Apr 21 10:01:40 2006 +0200

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/app/rendercheck

commit 6cfab618fabcc5c4fc86aaeadcd8e6d9255cb6eb
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Thu Apr 20 12:41:29 2006 -0700

    Correct offsets for argb32* convenience colors, so the right colors are used in
    the repeat test.

commit c862f6285b868435a2780b07a602f57e810e1f96
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Thu Apr 20 12:33:25 2006 -0700

    Add a short doc on the things to do when adding a new test.  Move TODO into the
    doc dir as well.  Also, update README for the new tests.

commit b26a0acd18aac615a2abc4df5adc888cb3e3714b
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Thu Apr 20 12:27:17 2006 -0700

    Add a test for various-sized repeating sources.  Reveals issues with EXA Radeon
    render acceleration.  Thanks to frederikh for the testcase that suggested the
    necessity here.

commit e5e49a6b67e2e2919d5236583f01088fdecf347b
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Thu Apr 20 11:53:51 2006 -0700

    Correct a heinous memory leak in get_pixel().

commit edb11cfdda3d4d14fc1ba5f0c4bc9ce925bf970b
Author: Lars Knoll <lars@trolltech.com>
Date:   Thu Apr 20 08:56:37 2006 +0200

    add license header

commit 65456490e4511a961cdd1ce85e2b31ec791def4d
Author: Alan Coopersmith <alanc@alf.(none)>
Date:   Wed Apr 19 18:55:10 2006 -0700

    Only add -Wall flag when using gcc, not other compilers

commit ccf3c74e703aacb6a3677842e14668fce0e315cc
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Wed Apr 19 09:27:01 2006 -0700

    Respect --iter in a couple more tests.

commit d08fdf4794584f6fc0d78f27ec331a90d1ebd279
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Wed Apr 19 09:26:07 2006 -0700

    Improve the wording of the -d argument, which was copied from xcompmgr.1 iirc.

commit 02d1383ddae76597323655435ff0892b8d48d7f2
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Wed Apr 19 09:20:12 2006 -0700

    Add gradients to the list of tests supported.

commit 032ae6c6cd84503c30427857107b3b312506726c
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Wed Apr 19 09:18:23 2006 -0700

    Remove useless $Id$ markers.

commit c1d2c663c385a4c0e2ac6ba03664cf252dff62b0
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Wed Apr 19 09:13:55 2006 -0700

    Add a trivial test for Triangles, TriStrip, and TriFan, which exposed a security
    flaw in the server

commit d5949bcc33e115f12762127093f1d5b3158c1c01
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Tue Apr 18 16:34:52 2006 -0700

    Move .cvsignore to .gitignore.

commit 00f788fc2785db30ee294281c027f82d09256be6
Author: Lars Knoll <lars@trolltech.com>
Date:   Wed Mar 8 06:13:42 2006 +0000

    add testing for linear gradients.

commit 4fd03c7cf419c84b8bdfcf25745627659e794300
Author: Lars Knoll <lars@trolltech.com>
Date:   Mon Mar 6 21:22:15 2006 +0000

    test composition operations using solid source pictures
    (Created with XRenderCreateSolidFill).
    
    At least the XServer doesn't crash anymore on me
    trying to use them (though he might with EXA),
    but the i810 driver fails handling them correctly.
    I'm sure other drivers might have problems as well.

commit 2e734bdc5e1fa6433c953e05f3608566ad75aa1d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Sep 27 02:19:15 2005 +0000

    Add a description of the -i flag, and alphabetize.

commit 14c1dbe8d030fb5dbd63e0bbc63f256f7fc78bde
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Sep 27 02:08:04 2005 +0000

    Add a --sync flag to set XSynchronize() (for debugging a scripting issue) and
    add long argument equivalents for current options.

commit 7445bc2d1ccaa0f4f276b0cef159d3db4a41dd84
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Sep 15 22:15:22 2005 +0000

    Remove the apparently-unnecessary AC_CONFIG_AUX_DIR setting that made new
    automake cry.

commit 227b75ebf0e468c094bcba95bd9599a5e6d687be
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jan 27 03:47:37 2005 +0000

    Make autogen.sh actually do its job, and add some missing files to the dist.

commit 2427ac0046a8f53bea8b709c2d6e90eacb355631
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jan 27 03:12:08 2005 +0000

    Allow users to specify the set of tests to be run.

commit 7419df337982418ba11432c9f11a7b4056b70658
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jan 27 02:42:14 2005 +0000

    - Split the tests out into separate files.
    - Split some of the test picture generation out into those files, too.
    - Add a helper function for filling things with a color.
    - Add -Wall to CFLAGS and clean up the ensuing carnage.

commit 85a6ac04cca072a64aa13d1829ae9aa1a6a3f7e3
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jan 27 02:39:30 2005 +0000

    Add an appropriate .cvsignore.

commit f02f7e4cd2d2a628d59def61835ed9fa06de4c4f
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jan 27 01:24:41 2005 +0000

    Add a simple manpage, and add commandline options for verbosity and display.

commit 56890198e02cb2d63e6ca64264a4f2252c272978
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jan 27 00:39:56 2005 +0000

    Set the main window OverrideRedirect.  metacity gets less confused, and things
    are a bit more deterministic.

commit a5962dda126e7e48f51c276f907a1fbb76b8ed4d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Oct 24 21:03:56 2004 +0000

    Allow building without xrender.pc, by using AC_PATH_XTRA.  Bump to 1.0.3.

commit df85d34dd3a85a3629caa2732729ae26f268d5d0
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Sep 27 01:51:42 2004 +0000

    Sigh.  Some day somebody will write a makefile system that isn't based on
    hatred for its users.  Until then, shut automake up about the "lack" of a
    ChangeLog file.  Also avoid accidentally spamming in the copy of the GPL it
    decided my COPYING file should be replaced with.

commit 1550c69e3528653a0690f116a454a77f63bf1294
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Sep 20 02:42:53 2004 +0000

    Back out previous changes to the transformed coordinates test. It looks like the
    intention really was for pixels to be centered on (x + .5, y + .5), and this
    does seem more sensible.   Bump the version to 1.0.2 and update docs.

commit e342db6763ad3f829d1bfc14663247509677f20b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Aug 30 22:07:16 2004 +0000

    Correct the previous commit:
    Render does specify the rounding on transformed coordinates, which is "Nearest"
    by default.  Fix the test appropriately.  Note that this exposes a bug in the fb
    implementation.

commit 2a0b03dc10470c85ab31628aad360736b1f6739a
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Aug 30 17:24:04 2004 +0000

    Add a simple test of transformed source/mask coordinates.
    Add more tasks to TODO.

commit 1594aadab7bc3636adbea9a990fb42547840770c
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Aug 30 16:54:49 2004 +0000

    Kill the ChangeLog.  Updating them is annoying.  If you want the ChangeLog, use
    cvs2cl.

commit 783ba8d4314ca1412e3f806cd07bfd52fb8dfc5b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Jun 13 19:52:06 2004 +0000

    Exercise XAA's Composite acceleration by also rendering
    directly to the destination window instead of only pixmaps.

commit 3ee9ea7cda8fe71abc77151e1a94b4dfc06767b8
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon May 17 05:31:21 2004 +0000

    - get_pixel was not at fault, and get destcoords_test working.
    - Change fill_test from being a duplication of the blend tests
      to a test of whether the XRenderFillRectangle()s produced the
      expected results.
    - Update TODO list.
    - Bump version to 1.0.1.

commit 70b1be1b819b7ebacf268dfb498a3adab133916e
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon May 10 07:21:19 2004 +0000

    Initial import of rendercheck (attempt 2).

commit 258f238ae94782fa1c0e1d8b6280d8d61c9c0c40
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon May 10 07:21:19 2004 +0000

    Initial revision
